## r-cran-rjags 3.10

=== DESCRIPTION ===
Package: rjags
Version: 3-10
Date: 2013-02-04
Title: Bayesian graphical models using MCMC
Authors@R: person("Martyn", "Plummer", role=c("aut","cre"),
        email="plummerm@iarc.fr")
Depends: R (>= 2.14.0), coda (>= 0.13)
SystemRequirements: jags (>= 3.0.0)
Description: Interface to the JAGS MCMC library
License: GPL (== 2)
URL: http://mcmc-jags.sourceforge.net
Packaged: 2013-02-04 19:26:32 UTC; martyn
Author: Martyn Plummer [aut, cre]
Maintainer: Martyn Plummer <plummerm@iarc.fr>
Repository: CRAN
Date/Publication: 2013-02-05 11:25:21

## r-cran-rjags 3-13

=== debian/changelog ===
r-cran-rjags (1:3-13-2) unstable; urgency=medium

  * Fix Homepage URL.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Apr 2014 21:42:07 -0400

r-cran-rjags (1:3-13-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 09 Mar 2014 22:00:18 -0400

r-cran-rjags (3.10-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.0.
  * Update to latest Standards-Version.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 19:57:13 -0400

r-cran-rjags (3.3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 25 Jul 2011 05:18:55 -0500

r-cran-rjags (2.2.0-2-2) unstable; urgency=low

  * Add dependency on r-cran-lattice (not in upstream DESCRIPTION).

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2011 13:56:02 -0600

r-cran-rjags (2.2.0-2-1) unstable; urgency=low

  * Initial Debian Release.  (Closes: #610160)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2011 12:56:04 -0600

=== debian/control ===
Source: r-cran-rjags
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 3.0), r-cran-coda (>= 0.16), jags (>= 3.0.0), r-cran-lattice, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Homepage: http://mcmc-jags.sourceforge.net/

Package: r-cran-rjags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, r-cran-coda (>= 0.16), jags (>= 3.0.0), r-cran-lattice, ${R:Depends}
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

## r-cran-rjags 3-14

=== debian/changelog ===
r-cran-rjags (1:3-14-1) unstable; urgency=medium

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 Nov 2014 10:08:31 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 3.0), r-cran-coda (>= 0.16), jags (>= 3.0.0), r-cran-lattice, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mcmc-jags.sourceforge.net/
 
 Package: r-cran-rjags

## r-cran-rjags 3-15

=== debian/changelog ===
r-cran-rjags (1:3-15-2) unstable; urgency=medium

  * Rebuild for g++ 5.2 transition.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 11 Aug 2015 21:18:33 -0400

r-cran-rjags (1:3-15-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 29 Apr 2015 19:09:52 -0400

=== debian/control ===
Source: r-cran-rjags
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 3.0), r-cran-coda (>= 0.16), jags (>= 3.4.0-3), r-cran-lattice, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: http://mcmc-jags.sourceforge.net/

Package: r-cran-rjags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, r-cran-coda (>= 0.16), jags (>= 3.4.0-3), r-cran-lattice, ${R:Depends}
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

## r-cran-rjags 3.3

=== debian/control ===
Source: r-cran-rjags
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), cdbs, r-base-dev (>= 2.9), r-cran-coda (>= 0.13), jags (>= 3.0.0), r-cran-lattice
Standards-Version: 3.9.2
Homepage: http://calvin.iarc.fr/~martyn/software/jags/

Package: r-cran-rjags
Architecture: any
Depends: r-base-core (>= 2.9), ${shlibs:Depends}, ${misc:Depends}, r-cran-coda (>= 0.13), jags (>= 3.0.0), r-cran-lattice
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

## r-cran-rjags 3.10

=== debian/control ===
Source: r-cran-rjags
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 3.0), r-cran-coda (>= 0.16), jags (>= 3.0.0), r-cran-lattice, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://calvin.iarc.fr/~martyn/software/jags/

Package: r-cran-rjags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, r-cran-coda (>= 0.16), jags (>= 3.0.0), r-cran-lattice, ${R:Depends}
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-gam package

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/rjags_(.*)\.tar\.gz

## r-cran-rjags 4

=== DESCRIPTION ===
Package: rjags
Version: 4-10
Date: 2019-11-06
Title: Bayesian Graphical Models using MCMC
Authors@R: c(person("Martyn", "Plummer", role=c("aut","cre"),
                    email="martyn.plummer@gmail.com"),
             person("Alexey", "Stukalov", role="ctb"),
             person("Matt", "Denwood", role="ctb"))
Depends: R (>= 2.14.0), coda (>= 0.13)
SystemRequirements: JAGS 4.x.y
URL: http://mcmc-jags.sourceforge.net
Suggests: tcltk
Description: Interface to the JAGS MCMC library.
License: GPL (== 2)
NeedsCompilation: yes
Packaged: 2019-11-06 16:04:27 UTC; martyn
Author: Martyn Plummer [aut, cre],
  Alexey Stukalov [ctb],
  Matt Denwood [ctb]
Maintainer: Martyn Plummer <martyn.plummer@gmail.com>
Repository: CRAN
Date/Publication: 2019-11-06 16:50:02 UTC

## r-cran-rjags 4-5

=== debian/changelog ===
r-cran-rjags (1:4-5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 11 Jan 2016 19:23:47 -0500

r-cran-rjags (1:4-4-1) unstable; urgency=medium

  * New upstream release.
  * Requires JAGS 4.0.0-1 or later.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 28 Oct 2015 13:52:04 -0400

=== debian/control ===
Source: r-cran-rjags
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 3.0), r-cran-coda (>= 0.16), jags (>= 4.0.0-1), r-cran-lattice, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: http://mcmc-jags.sourceforge.net/

Package: r-cran-rjags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, r-cran-coda (>= 0.16), jags (>= 4.0.0-1), r-cran-lattice, ${R:Depends}
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

## r-cran-rjags 4-6

=== debian/changelog ===
r-cran-rjags (1:4-6-2) unstable; urgency=medium

  * Update standards-version; fix Lintian issues.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 01 Oct 2017 00:30:39 -0400

r-cran-rjags (1:4-6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 01 Mar 2016 19:59:45 -0500

=== debian/control ===
Source: r-cran-rjags
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 9), cdbs, r-base-dev (>= 3.0), r-cran-coda (>= 0.16), jags (>= 4.0.0), r-cran-lattice, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.1.1
Homepage: http://mcmc-jags.sourceforge.net/

Package: r-cran-rjags
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, r-cran-coda (>= 0.16), jags (>= 4.0.0), r-cran-lattice, ${R:Depends}
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,16 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+PKG_CFLAGS=$(CFLAGS)
+PKG_CXXFLAGS=$(CXXFLAGS)
+PKG_CPPFLAGS=$(CPPFLAGS)
+PKG_FFLAGS=$(FFLAGS)
+
+export PKG_CFLAGS PKG_CXXFLAGS PKG_CPPFLAGS PKG_FFLAGS
+
+makeFlags="LDFLAGS=$(LDFLAGS)"
+
 include /usr/share/R/debian/r-cran.mk
+
+clean::
+	rm -f R/unix/zzz.R src/Makevars

## r-cran-rjags 4-8

=== debian/changelog ===
r-cran-rjags (1:4-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Oct 2018 11:21:33 +0200

r-cran-rjags (1:4-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 12 Oct 2018 07:51:02 +0200

r-cran-rjags (1:4-6-3) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * Take over package into r-pkg team
  * cme fix dpkg-control
  * debhelper 11
  * Convert from cdbs to dh-r
  * Canonical Homepage for CRAN packages
  * DEP5
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 20:55:31 +0100

=== debian/control ===
Source: r-cran-rjags
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Chris Lawrence <lawrencc@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-coda,
               jags (>= 4.0.0),
               r-cran-lattice
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
Homepage: https://cran.r-project.org/package=rjags

Package: r-cran-rjags
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.

## r-cran-rjags 4-10

=== debian/changelog ===
r-cran-rjags (1:4-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 14:11:26 +0100

r-cran-rjags (1:4-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Sep 2019 11:51:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-coda,
                jags (>= 4.0.0),
                r-cran-lattice
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
 Homepage: https://cran.r-project.org/package=rjags

## r-cran-rjags 4-12

=== debian/changelog ===
r-cran-rjags (1:4-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 17 Oct 2021 19:22:35 +0000

r-cran-rjags (1:4-11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add patch ac-path-pkgconfig.patch: Use cross-build compatible macro for
    finding pkg-config.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 27 Sep 2021 16:19:48 +0530

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-coda,
-               jags (>= 4.0.0),
+               jags,
                r-cran-lattice
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
 Homepage: https://cran.r-project.org/package=rjags
+Rules-Requires-Root: no
 
 Package: r-cran-rjags
 Architecture: any

## r-cran-rjags 4-13

=== debian/changelog ===
r-cran-rjags (1:4-13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4-13
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:13:08 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-coda,
                jags,
                r-cran-lattice
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
 Homepage: https://cran.r-project.org/package=rjags

## r-cran-rjags 4-14

=== debian/changelog ===
r-cran-rjags (1:4-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 20:18:08 +0200

## r-cran-rjags 4-15

=== debian/changelog ===
r-cran-rjags (1:4-15-1) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1046285

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 09:18:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-coda,
                jags,
                r-cran-lattice
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
 Homepage: https://cran.r-project.org/package=rjags

## r-cran-rjags 4-16

=== debian/changelog ===
r-cran-rjags (1:4-16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Sep 2024 08:50:09 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-coda,
                jags,
                r-cran-lattice
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
 Homepage: https://cran.r-project.org/package=rjags

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rjags_(.*)\.tar\.gz

## r-cran-rjags 4-17

=== debian/changelog ===
r-cran-rjags (1:4-17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 16:44:23 +0900

=== debian/control ===
Source: r-cran-rjags
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Chris Lawrence <lawrencc@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-coda,
 jags,
 r-cran-lattice,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjags
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjags.git
Homepage: https://cran.r-project.org/package=rjags
Rules-Requires-Root: no

Package: r-cran-rjags
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: R interface to the JAGS Bayesian statistics package
 rjags allows calling JAGS code from R to estimate Bayesian
 statistical models using Gibbs sampling.  Coupled with the coda
 package, it allows the researcher to set up data in R, run a model
 specified in the JAGS/BUGS language on the data, and then conduct
 post-estimation analysis using R's tools.
